<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2023 Workiva-->
<!--r:0429565b-6d09-4a96-bbea-eb7e3c721e62,g:ecc7fa53-76cf-4f67-95d8-5a826a413c82-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:btplc="http://bt.com/20230331" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://bt.com/20230331">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd"/>
  <xs:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="549300OWFMSO9NYV4H90-2023-03-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="549300OWFMSO9NYV4H90-2023-03-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="549300OWFMSO9NYV4H90-2023-03-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="549300OWFMSO9NYV4H90-2023-03-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="StatementofchangesinequityParenthesis" roleURI="http://bt.com/role/StatementofchangesinequityParenthesis">
        <link:definition>[0000001] Statement of changes in equity (Parenthesis)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" roleURI="http://bt.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement">
        <link:definition>[0000002] Statement of comprehensive income, profit or loss, by function of expense (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" roleURI="http://bt.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement">
        <link:definition>[0000003] Statement of comprehensive income, OCI components presented net of tax (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementoffinancialpositioncurrentnoncurrentStatement" roleURI="http://bt.com/role/StatementoffinancialpositioncurrentnoncurrentStatement">
        <link:definition>[0000004] Statement of financial position, current/non-current (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofchangesinequityStatement" roleURI="http://bt.com/role/StatementofchangesinequityStatement">
        <link:definition>[0000005] Statement of changes in equity (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsindirectmethodStatement" roleURI="http://bt.com/role/StatementofcashflowsindirectmethodStatement">
        <link:definition>[0000006] Statement of cash flows, indirect method (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcashflowsindirectmethodParenthesis" roleURI="http://bt.com/role/StatementofcashflowsindirectmethodParenthesis">
        <link:definition>[0000007] Statement of cash flows, indirect method (Parenthesis)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportStatement" roleURI="http://bt.com/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportStatement">
        <link:definition>[0000008] Tags that must be applied if corresponding information is present in a report (Statement)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Tagsthatmustbeappliedifcorrespondinginformationispresentinareport" roleURI="http://bt.com/role/Tagsthatmustbeappliedifcorrespondinginformationispresentinareport">
        <link:definition>[0000009] Tags that must be applied if corresponding information is present in a report</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails" roleURI="http://bt.com/role/TagsthatmustbeappliedifcorrespondinginformationispresentinareportDetails">
        <link:definition>[0000010] Tags that must be applied if corresponding information is present in a report (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://bt.com/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" abstract="false" name="NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_AdjustmentsForIncreaseDecreaseInContractAssets" abstract="false" name="AdjustmentsForIncreaseDecreaseInContractAssets" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_TransferredToTheIncomeStatement" abstract="false" name="TransferredToTheIncomeStatement" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets" abstract="false" name="AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_NonCurrentPreferenceSharesInJointVentures" abstract="false" name="NonCurrentPreferenceSharesInJointVentures" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_BeforeSpecificItemsMember" abstract="true" name="BeforeSpecificItemsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="btplc_CurrentPreferenceSharesInJointVentures" abstract="false" name="CurrentPreferenceSharesInJointVentures" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock" abstract="false" name="DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities" abstract="false" name="SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_DisclosureOfSpecificItemsTextBlock" abstract="false" name="DisclosureOfSpecificItemsTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock" abstract="false" name="DescriptionOfAccountingPolicyForProgrammeRightsTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_SpecificItemsTable" abstract="true" name="SpecificItemsTable" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:hypercubeItem" type="xbrli:stringItemType"/>
  <xs:element id="btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" abstract="false" name="PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock" abstract="false" name="DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_SpecificItemsLineItems" abstract="true" name="SpecificItemsLineItems" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="btplc_DescriptionOfAccountingPolicyForDefinedBenefitPlansTextBlock" abstract="false" name="DescriptionOfAccountingPolicyForDefinedBenefitPlansTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock" abstract="false" name="DisclosureOfDirectorsEmolumentsAndPensionsTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_MovementInCapitalAccruals" abstract="false" name="MovementInCapitalAccruals" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock" abstract="false" name="DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_GroupIncomeStatementAxis" abstract="true" name="GroupIncomeStatementAxis" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrldt:dimensionItem" type="xbrli:stringItemType"/>
  <xs:element id="btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" abstract="false" name="AdjustmentsForDecreaseIncreaseInContractLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_DisclosureOfProgrammeRightsTextBlock" abstract="false" name="DisclosureOfProgrammeRightsTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" abstract="false" name="AdjustmentsForDecreaseIncreaseInProgrammeRights" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities" abstract="false" name="IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" abstract="false" name="BankOverdraftsExcludedFromCashAndCashEquivalents" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities" abstract="false" name="CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_GroupIncomeStatementMember" abstract="true" name="GroupIncomeStatementMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities" abstract="false" name="IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities" abstract="false" name="PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock" abstract="false" name="DescriptionOfAccountingPolicyForSpecificItemsTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" abstract="false" name="AdditionToPropertyPlantAndEquipmentAndSoftware" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_PrepaymentsInRespectOfSpectrum" abstract="false" name="PrepaymentsInRespectOfSpectrum" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_SpecificItemsMember" abstract="true" name="SpecificItemsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities" abstract="false" name="ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock" abstract="false" name="DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:textBlockItemType"/>
  <xs:element id="btplc_TotalEquityAndNonCurrentLiabilities" abstract="false" name="TotalEquityAndNonCurrentLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities" abstract="false" name="ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
